Bug Hunting Session
Bug 91015 - FILEOPEN: Open Csv file create with calc, crash, without error message.
Summary: FILEOPEN: Open Csv file create with calc, crash, without error message.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-02 10:51 UTC by m.a.riosv
Modified: 2015-12-17 09:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample csv file. (3.02 KB, text/comma-separated-values)
2015-05-02 10:51 UTC, m.a.riosv
Details
bt with debug symbols (14.49 KB, text/plain)
2015-05-02 14:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2015-05-02 10:51:25 UTC
Created attachment 115264 [details]
Sample csv file.

Attached a sample file to test, created with LibreOffice 5.0.0.0.alpha1+, trying to find a way to save the formulas for test the new Table Reference.

Calc crash without notice opening any csv file.

Win7x64 Ultimate.

Last version working.


Crash with:
Version: 5.0.0.0.alpha1 (x64)Build ID: f0853d5c2c38b050fbfd48e09cd0bf0b400aaef8

Version: 5.0.0.0.alpha1+ Build ID: 393c51cee8bc3de5a2a9f4e04161c59e8712f631
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-01_23:56:16

Version: 5.0.0.0.alpha1+ (x64) Build ID: 393c51cee8bc3de5a2a9f4e04161c59e8712f631
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-02_01:20:07
Comment 1 m.a.riosv 2015-05-02 11:20:07 UTC
My mistake.

Last working
Version: 5.0.0.0.alpha1 (x64)Build ID: f0853d5c2c38b050fbfd48e09cd0bf0b400aaef8

Crash with:
Version: 5.0.0.0.alpha1+ Build ID: 393c51cee8bc3de5a2a9f4e04161c59e8712f631
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-01_23:56:16

Version: 5.0.0.0.alpha1+ (x64) Build ID: 393c51cee8bc3de5a2a9f4e04161c59e8712f631
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-02_01:20:07
Comment 2 Julien Nabet 2015-05-02 14:06:04 UTC
Created attachment 115271 [details]
bt with debug symbols
Comment 4 info 2015-05-03 21:56:21 UTC
Calc crashes also on Linux (openSUSE 13.2).
Comment 5 Matthew Francis 2015-05-06 08:28:08 UTC
This seems to have started at the below commit.
Relevant parties already Cc:'d so nobody to add

commit e8b97a52c96df9c8e8055407b1e40ed7cb9cfc67
Merge: 2b0be6c 0cde74f
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Tue Apr 28 11:41:31 2015 +0100

    Merge remote-tracking branch 'origin/feature/vclptr'
    
    Resolve several thousand lines of conflicts.
Comment 6 Michael Meeks 2015-05-06 11:05:15 UTC
Thanks for the report - missing VirtualDevice instances during the VclPtr migration.
Comment 7 Commit Notification 2015-05-06 11:06:40 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a6012912f76a6fca7c6aac081b4b2940b8d055c

tdf#91015 - CSV dialog crasher.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:02:50 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]